petsc-3.10.5 2019-03-28
Report Typos and Errors

# SNESGetMaxNonlinearStepFailures

Gets the maximum number of unsuccessful steps attempted by the nonlinear solver before it gives up.

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode  SNESGetMaxNonlinearStepFailures(SNES snes, PetscInt *maxFails)

Not Collective

### Input Parameter

snes -SNES context

### Output Parameter

maxFails -maximum of unsuccessful steps

### Keywords

SNES, nonlinear, get, maximum, unsuccessful, steps

### See Also

SNESGetMaxLinearSolveFailures(), SNESGetLinearSolveIterations(), SNESSetMaxLinearSolveFailures(), SNESGetLinearSolveFailures(),
SNESSetMaxNonlinearStepFailures(), SNESGetNonlinearStepFailures()

### Level

intermediate

### Location

src/snes/interface/snes.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages